﻿using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Settings;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.System;
public class SettingOrderVisitSmsReplyRuleRepository : BaseRepository<SettingOrderVisitSmsReplyRule>, ISettingOrderVisitSmsReplyRuleRepository, IScopeDependency
{
    public SettingOrderVisitSmsReplyRuleRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
    {
    }

    public List<SettingOrderVisitSmsReplyRule> GetByAppScope(string appscope)
    {
        return Queryable().Where(x => x.AppScope == appscope).OrderBy(x => x.SortOrder).ToList();
    }
}
